APIScripts
Update a script
Update a project script's body and/or description.
PATCH https://api.sazabi.com/v1/scripts/{name}
Path Parameters
name*string
Script to update.
Match
^[a-zA-Z0-9][a-zA-Z0-9_-]{0,63}$Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/scripts/string" \ -H "Content-Type: application/json" \ -d '{ "expectedScriptId": "f4b34998-8ec5-4439-a8ef-d688a03d8a4c", "expectedRevision": -9007199254740991 }'{ "script": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "configurationRevision": -9007199254740991, "contentHash": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "content": "string" }}